<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>

<!--
	ECOWAS-WAHO Module 1 Style-Sheet

	Version 1.0
	June 2023
-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:wa="http://ecowas.wa" 
	xmlns:xlink="http://www.w3c.org/1999/xlink"
	xmlns:xlink1="http://www.w3c.org/1999/xlink">
   
   <xsl:output method="html" encoding="UTF-8" indent="no"/>

   <xsl:param name="param_cv_recipients" select="''"/>
   <xsl:param name="param_cv_applicationtype" select="''"/>
   <xsl:param name="param_cv_sequencetype" select="''"/>
   <xsl:param name="param_cv_submissionlead" select="''"/>
   <xsl:param name="param_cv_contacttype" select="''"/>
   <xsl:param name="param_cv_submissiontype" select="''"/>

   <xsl:template match="/">
      <html>
         <head>
			<style type="text/css">
				body
				{
					font-family: "Segoe UI","Segoe UI Web Regular","Segoe UI Symbol","Helvetica Neue","Microsoft YaHei","BBAlpha Sans","S60 Sans",Arial,sans-serif !important;
					margin: 0;
					padding: 0;
				}

				
				h3 
				{
					margin-bottom:6pt;
					padding:6pt;
					background:#dddddd;
				}				

				h4 
				{	
					margin-top:0pt;
					margin-bottom:6pt;
				}				

				h5 
				{	
					font-size:12pt;
					background:#eeeeee;
					padding-top:6pt;
					padding-bottom:6pt;
					margin-bottom:0pt;
				}				

				ul {margin-bottom:0pt ; margin-top:0pt}

			</style>
			
			
            <title>ECOWAS-WAHO eCTD Module 1 - DTD version <xsl:value-of select="/wa:ecowas-ectd/@dtd-version"/></title>
         </head>
			<body>
				<center>
					<h1>ECOWAS-WAHO eCTD Module 1</h1>
					<small>DTD version <xsl:value-of select="/wa:ecowas-ectd/@dtd-version"/></small>
					<br/>
					<br/>
					<small>wa-regional.xml md5: <xsl:value-of select="document('../../index.xml')//m1-administrative-information-and-prescribing-information/leaf[@xlink1:href='m1/wa/wa-regional.xml']/@checksum"/></small>
				</center>
				
				
				<xsl:apply-templates select="//wa-envelope"/>
				<br/>
				<xsl:apply-templates select="//m1-wa"/>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="wa-envelope">
		<center>
			<table width="90%" border="1px" frame="border" rules="groups" cellpadding="2" cellspacing="0">
				<tr>
					<td colspan="2"><h3>Envelope</h3></td>
				</tr>
				<tr>
					<td colspan="2">
					<table width="100%" cellpadding="2" cellspacing="0" border="0">
						<tr>
							<th align="left" width="30%"><h5>Application</h5></th>
							<th align="left" width="70%"><h5><xsl:apply-templates select="application/@code" mode="apptype"/></h5></th>
						</tr>
						<tr>
							<td>Application UUID</td>
							<td><xsl:value-of select="application/application-uuid"></xsl:value-of></td>
						</tr>
						<tr>
							<td valign="top">Recipient</td>
							<td><xsl:for-each select="application/recipient"><xsl:apply-templates select="@code" mode="country"/><br></br></xsl:for-each></td>
						</tr>						
						<tr>
							<td>Lead NMRA</td>
							<td><xsl:apply-templates select="application/lead-nmra/@code" mode="country"/></td>
						</tr>
						<tr>
							<td valign="top">Application Number</td>
							<td><xsl:for-each select="application/application-number"><xsl:value-of select="."></xsl:value-of><br></br></xsl:for-each></td>
						</tr>
						<tr>
							<td>Applicant ID</td>
							<td><xsl:value-of select="application/applicant-id"></xsl:value-of></td>
						</tr>
						<tr>
							<td>Applicant Name</td>
							<td><xsl:value-of select="application/applicant-name"></xsl:value-of></td>
						</tr>
						<tr>
							<td valign="top">INN</td>
							<td><xsl:for-each select="application/inn"><xsl:value-of select="."></xsl:value-of><br></br></xsl:for-each></td>
						</tr>
						<tr>
							<td valign="top">Proprietary Name</td>
							<td><xsl:for-each select="application/proprietary-name"><xsl:value-of select="."></xsl:value-of><br></br></xsl:for-each></td>
						</tr>
					</table>
					</td>
				</tr>

				<xsl:for-each select="submission">
					<tr>
						<td colspan="2">
						<table width="100%" cellpadding="2" cellspacing="0" border="0">
							<tr>
								<th align="left" width="30%"><h5>Submission</h5></th>
								<th align="left" width="70%"><h5><xsl:apply-templates select="@code" mode="subtype"/></h5></th>
							</tr>
							<tr>
								<td>Submission Lead</td>
								<td><xsl:apply-templates select="submission-lead/@code" mode="sublead"/></td>
							</tr>
							<tr>
								<td valign="top">Submission Number</td>
								<td><xsl:for-each select="submission-number"><xsl:value-of select="."></xsl:value-of><br></br></xsl:for-each></td>
							</tr>
						</table>
						</td>
					</tr>
				</xsl:for-each>

				<tr>
					<td colspan="2">
					<table width="100%" cellpadding="2" cellspacing="0" border="0">
						<tr>
							<th align="left" width="30%"><h5>Sequence</h5></th>
							<th align="left" width="70%"><h5><xsl:apply-templates select="sequence/@code" mode="seqtype"/></h5></th>
						</tr>
						<tr>
							<td>Sequence Description</td>
							<td><xsl:value-of select="sequence/sequence-description"></xsl:value-of></td>
						</tr>
						<tr>
							<td>Sequence Date</td>
							<td><xsl:value-of select="sequence/sequence-date"></xsl:value-of></td>
						</tr>
						<tr>
							<td valign="top">Sequence Number</td>
							<td><xsl:for-each select="sequence/sequence-number"><xsl:value-of select="."></xsl:value-of><br></br></xsl:for-each></td>
						</tr>
						<tr>
							<td>Related Sequence Number</td>
							<td><xsl:value-of select="sequence/related-sequence-number"></xsl:value-of></td>
						</tr>
					</table>
					</td>
				</tr>

				<xsl:for-each select="contact">
					<tr>
						<td colspan="2">
						<table width="100%" cellpadding="2" cellspacing="0" border="0">
							<tr>
								<th align="left" width="30%"><h5>Contact</h5></th>
								<th align="left" width="70%"><h5><xsl:apply-templates select="@code" mode="contacttype"/></h5></th>
							</tr>
							<tr>
								<td>Contact Name</td>
								<td><xsl:value-of select="contact-name"></xsl:value-of></td>
							</tr>
							<tr>
								<td>Contact Email</td>
								<td><xsl:value-of select="contact-email"></xsl:value-of></td>
							</tr>
							<tr>
								<td>Contact Phone</td>
								<td><xsl:value-of select="contact-phone"></xsl:value-of></td>
							</tr>
						</table>
						</td>
					</tr>
				</xsl:for-each>

			</table>
		</center>
	</xsl:template>
	
	<xsl:template match="leaf">
		<li>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="@xlink:href"/></xsl:attribute>
				<xsl:value-of select="title"/>
			</a>
			<xsl:text> </xsl:text>
			(<font color="red"><xsl:value-of select="@operation"/></font> - <font color="green"><xsl:value-of select="@xml:lang"/></font>)
			<xsl:if test="position() != last()"><br/></xsl:if>
		</li>
	</xsl:template>	
	
	<xsl:template match="node-extension">
		<li><xsl:apply-templates select="title" mode="data"/>
			<ul type="square">
				<xsl:apply-templates select="leaf | node-extension"/>
			</ul>
		</li>
	</xsl:template>

	<xsl:template match="m1-2-1-app-form|m1-2-2-fee-form">
		<tr>
			<td valign="top"><xsl:apply-templates select="@country" mode="country"/></td>
			<td>
			<xsl:apply-templates select=".//leaf"/><br/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="m1-a-1-country-specific-data">
		<tr>
			<td valign="top"><xsl:apply-templates select="@country" mode="country"/></td>
			<td>
			<xsl:apply-templates select="./leaf|.//node-extension"/><br/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="@country|@code" mode="country">
		<xsl:variable name='country' select='.'/>
		<xsl:choose>
			<xsl:when test='$param_cv_recipients and document($param_cv_recipients)/code-definition/codes/item[@code=$country]'>
				<xsl:value-of select="document($param_cv_recipients)/code-definition/codes/item[@code=$country]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="@code" mode="apptype">
		<xsl:variable name='apptype' select='.'/>
		<xsl:choose>
			<xsl:when test='$param_cv_applicationtype and document($param_cv_applicationtype)/code-definition/codes/item[@code=$apptype]'>
				<xsl:value-of select="document($param_cv_applicationtype)/code-definition/codes/item[@code=$apptype]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="@code" mode="seqtype">
		<xsl:variable name='seqtype' select='.'/>
		<xsl:choose>
			<xsl:when test='$param_cv_sequencetype and document($param_cv_sequencetype)/code-definition/codes/item[@code=$seqtype]'>
				<xsl:value-of select="document($param_cv_sequencetype)/code-definition/codes/item[@code=$seqtype]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="@code" mode="sublead">
		<xsl:variable name='sublead' select='.'/>
		<xsl:choose>
			<xsl:when test='$param_cv_submissionlead and document($param_cv_submissionlead)/code-definition/codes/item[@code=$sublead]'>
				<xsl:value-of select="document($param_cv_submissionlead)/code-definition/codes/item[@code=$sublead]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="@code" mode="contacttype">
		<xsl:variable name='contacttype' select='.'/>
		<xsl:choose>
			<xsl:when test='$param_cv_contacttype and document($param_cv_contacttype)'>
				<xsl:value-of select="document($param_cv_contacttype)/code-definition/codes/item[@code=$contacttype]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="@code" mode="subtype">
		<xsl:variable name='subtype' select='.'/>
		<xsl:choose>
			<xsl:when test='$param_cv_submissiontype and document($param_cv_submissiontype)/code-definition/codes/item[@code=$subtype]'>
				<xsl:value-of select="document($param_cv_submissiontype)/code-definition/codes/item[@code=$subtype]"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="m1-3-1-smpc">
		<tr>
			<td valign="top"><xsl:apply-templates select="@country" mode="country"/></td>
			<td>
			English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-1-1-smpc-approved-en]|.//node-extension[ancestor::m1-3-1-1-1-smpc-approved-en]"/><br/>
			French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-1-2-smpc-approved-fr]|.//node-extension[ancestor::m1-3-1-1-2-smpc-approved-fr]"/><br/>
			Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-1-3-smpc-approved-pt]|.//node-extension[ancestor::m1-3-1-1-3-smpc-approved-pt]"/><br/>
			</td>
			<td>
			English:<br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-2-1-smpc-clean-en]|.//node-extension[ancestor::m1-3-1-2-1-smpc-clean-en]"/><br/>
			French:<br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-2-2-smpc-clean-fr]|.//node-extension[ancestor::m1-3-1-2-2-smpc-clean-fr]"/><br/>
			Portugese:<br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-2-3-smpc-clean-pt]|.//node-extension[ancestor::m1-3-1-2-3-smpc-clean-pt]"/><br/>
			</td>
			<td>
			English: <br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-3-1-smpc-annotated-en]|.//node-extension[ancestor::m1-3-1-3-1-smpc-annotated-en]"/><br/>
			French: <br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-3-2-smpc-annotated-fr]|.//node-extension[ancestor::m1-3-1-3-2-smpc-annotated-fr]"/><br/>
			Portugese: <br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-1-3-3-smpc-annotated-pt]|.//node-extension[ancestor::m1-3-1-3-3-smpc-annotated-pt]"/><br/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="m1-3-2-pil">
		<tr>
			<td valign="top"><xsl:apply-templates select="@country" mode="country"/></td>
			<td>
			English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-1-1-pil-approved-en]|.//node-extension[ancestor::m1-3-2-1-1-pil-approved-en]"/><br/>
			French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-1-2-pil-approved-fr]|.//node-extension[ancestor::m1-3-2-1-2-pil-approved-fr]"/><br/>
			Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-1-3-pil-approved-pt]|.//node-extension[ancestor::m1-3-2-1-3-pil-approved-pt]"/><br/>
			</td>
			<td>
			English:<br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-2-1-pil-clean-en]|.//node-extension[ancestor::m1-3-2-2-1-pil-clean-en]"/><br/>
			French:<br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-2-2-pil-clean-fr]|.//node-extension[ancestor::m1-3-2-2-2-pil-clean-fr]"/><br/>
			Portugese:<br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-2-3-pil-clean-pt]|.//node-extension[ancestor::m1-3-2-2-3-pil-clean-pt]"/><br/>
			</td>
			<td>
			English: <br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-3-1-pil-annotated-en]|.//node-extension[ancestor::m1-3-2-3-1-pil-annotated-en]"/><br/>
			French: <br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-3-2-pil-annotated-fr]|.//node-extension[ancestor::m1-3-2-3-2-pil-annotated-fr]"/><br/>
			Portugese: <br/><xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-2-3-3-pil-annotated-pt]|.//node-extension[ancestor::m1-3-2-3-3-pil-annotated-pt]"/><br/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="m1-3-3-labels">
		<tr>
			<td valign="top"><xsl:apply-templates select="@country" mode="country"/></td>
			<td>
			English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-1-1-labels-approved-en]|.//node-extension[ancestor::m1-3-3-1-1-labels-approved-en]"/><br/>
			French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-1-2-labels-approved-fr]|.//node-extension[ancestor::m1-3-3-1-2-labels-approved-fr]"/><br/>
			Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-1-3-labels-approved-pt]|.//node-extension[ancestor::m1-3-3-1-3-labels-approved-pt]"/><br/>
			</td>
			<td>
			English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-2-1-labels-clean-en]|.//node-extension[ancestor::m1-3-3-2-1-labels-clean-en]"/><br/>
			French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-2-2-labels-clean-fr]|.//node-extension[ancestor::m1-3-3-2-2-labels-clean-fr]"/><br/>
			Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-2-3-labels-clean-pt]|.//node-extension[ancestor::m1-3-3-2-3-labels-clean-pt]"/><br/>
			</td>
			<td>
			English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-3-1-labels-annotated-en]|.//node-extension[ancestor::m1-3-3-3-1-labels-annotated-en]"/><br/>
			French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-3-2-labels-annotated-fr]|.//node-extension[ancestor::m1-3-3-3-2-labels-annotated-fr]"/><br/>
			Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-3-3-3-labels-annotated-pt]|.//node-extension[ancestor::m1-3-3-3-3-labels-annotated-pt]"/><br/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="m1-3-4-foreign-label">
		English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-4-1-foreign-en]|.//node-extension[ancestor::m1-3-4-1-foreign-en]"/><br/>
		French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-4-2-foreign-fr]|.//node-extension[ancestor::m1-3-4-2-foreign-fr]"/><br/>
		Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-4-3-foreign-pt]|.//node-extension[ancestor::m1-3-4-3-foreign-pt]"/><br/>
	</xsl:template>

	<xsl:template match="m1-3-5-ref-prod-label">
		English:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-5-1-ref-prod-en]|.//node-extension[ancestor::m1-3-5-1-ref-prod-en]"/><br/>
		French:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-5-2-ref-prod-fr]|.//node-extension[ancestor::m1-3-5-2-ref-prod-fr]"/><br/>
		Portugese:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-5-3-ref-prod-pt]|.//node-extension[ancestor::m1-3-5-3-ref-prod-pt]"/><br/>
		Original:<br/> <xsl:apply-templates select=".//leaf[not(ancestor::node-extension)][ancestor::m1-3-5-4-ref-prod-origin]|.//node-extension[ancestor::m1-3-5-4-ref-prod-origin]"/><br/> 
	</xsl:template>

	<xsl:template match="m1-wa">
		<center>
			<table width="90%" cellpadding="5" cellspacing="2">
				<tr>
					<td colspan="2"><h2>Module 1 ECOWAS-WAHO</h2></td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h3>1.0</h3></td>
					<td width="95%">
						<h3>Correspondence</h3>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.1</h4></td>
					<td width="95%">
						<h4>Cover Letter</h4>
						<xsl:apply-templates select="//m1-0-1-cover-letter/leaf|//m1-0-1-cover-letter/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.2</h4></td>
					<td width="95%">
						<h4>Reviewer Note</h4>
						<xsl:apply-templates select="//m1-0-2-reviewer-note/leaf|//m1-0-2-reviewer-note/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.3</h4></td>
					<td width="95%">
						<h4>Lifecycle Management Tracking Table</h4>
						<xsl:apply-templates select="//m1-0-3-tracking-table/leaf|//m1-0-3-tracking-table/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.4</h4></td>
					<td width="95%">
						<h4>Correspondence Issued by the Regulatory Authority</h4>
						<xsl:apply-templates select="//m1-0-4-authority-correspondence/leaf|//m1-0-4-authority-correspondence/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.5</h4></td>
					<td width="95%">
						<h4>Response to Information Solicited by the Regulatory Authority</h4>
						<xsl:apply-templates select="//m1-0-5-response/leaf|//m1-0-5-response/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.6</h4></td>
					<td width="95%">
						<h4>Meeting Information</h4>
						<xsl:apply-templates select="//m1-0-6-meeting-info/leaf|//m1-0-6-meeting-info/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.0.7</h4></td>
					<td width="95%">
						<h4>Request for Appeal Documentation</h4>
						<xsl:apply-templates select="//m1-0-7-request-appeal/leaf|//m1-0-7-request-appeal/node-extension"/>
					</td>
				</tr>
				
				
				<tr>
					<td valign="top"><h3>1.2</h3></td>
					<td>
						<h3>Administrative Information</h3>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.1</h4></td>
					<td width="95%">
						<h4>Application Forms</h4>
						<table width="40%" cellpadding="2" cellspacing="0" border="1">
							<tr>
								<th width="25%">Country</th>
								<th width="75%"></th>
							</tr>
							<xsl:apply-templates select="//m1-2-1-app-form"/>
						</table>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.2</h4></td>
					<td width="95%">
						<h4>Fee Forms</h4>
						<table width="40%" cellpadding="2" cellspacing="0" border="1">
							<tr>
								<th width="25%">Country</th>
								<th width="75%"></th>
							</tr>
							<xsl:apply-templates select="//m1-2-2-fee-form"/>
						</table>
						
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.3</h4></td>
					<td width="95%">
						<h4>Certification and Attestation Forms</h4>
						<xsl:apply-templates select="//m1-2-3-certification-attestation-form/leaf|//m1-2-3-certification-attestation-form/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.4</h4></td>
					<td width="95%">
						<h4>Compliance and Site Information</h4>
						<xsl:apply-templates select="//m1-2-4-compliance-site-info/leaf|//m1-2-4-compliance-site-info/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.5</h4></td>
					<td width="95%">
						<h4>Authorization for Sharing Information</h4>
						<xsl:apply-templates select="//m1-2-5-auth-share-info/leaf|//m1-2-5-auth-share-info/node-extension"/>
					</td>
				</tr>
				
				
				<tr>
					<td width="5%" valign="top"><h4>1.2.6</h4></td>
					<td width="95%">
						<h4>Electronic Declaration</h4>
						<xsl:apply-templates select="//m1-2-6-electronic-declaration/leaf|//m1-2-6-electronic-declaration/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.7</h4></td>
					<td width="95%">
						<h4>Trademark &amp; Intellectual Property Information</h4>
						<xsl:apply-templates select="//m1-2-7-trademark-ip-info/leaf|//m1-2-7-trademark-ip-info/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.8</h4></td>
					<td width="95%">
						<h4>Screening Details</h4>
						<xsl:apply-templates select="//m1-2-8-screening-details/leaf|//m1-2-8-screening-details/node-extension"/>
					</td>
				</tr>
				<tr>
					<td width="5%" valign="top"><h4>1.2.A</h4></td>
					<td width="95%">
						<h4>Additional Administrative Information</h4>
						<xsl:apply-templates select="//m1-2-a-additional-admin-info/leaf|//m1-2-a-additional-admin-info/node-extension"/>
					</td>
				</tr>
				
				
				<tr>
					<td valign="top"><h3>1.3</h3></td>
					<td>
						<h3>Product Information</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.3.1</h4></td>
					<td>
						<h4>Summary of Product Characteristics</h4>
						<table width="100%" cellpadding="2" cellspacing="0" border="1">
							<tr>
								<th width="10%">Country</th>
								<th width="30%">Approved</th>
								<th width="30%">Clean</th>
								<th width="30%">Annotated</th>
							</tr>
							<xsl:apply-templates select="//m1-3-1-smpc"/>
						</table>
					</td>
				</tr>

				<tr>
					<td valign="top"><h4>1.3.2</h4></td>
					<td>
						<h4>Patient Information Leaflet</h4>
						<table width="100%" cellpadding="2" cellspacing="0" border="1">
							<tr>
								<th width="10%">Country</th>
								<th width="30%">Approved</th>
								<th width="30%">Clean</th>
								<th width="30%">Annotated</th>
							</tr>
							<xsl:apply-templates select="//m1-3-2-pil"/>
						</table>
						
					</td>
				</tr>

				<tr>
					<td valign="top"><h4>1.3.3</h4></td>
					<td>
						<h4>Container Labels</h4>
						<table width="100%" cellpadding="2" cellspacing="0" border="1">
							<tr>
								<th width="10%">Country</th>
								<th width="30%">Approved</th>
								<th width="30%">Clean</th>
								<th width="30%">Annotated</th>
							</tr>
							<xsl:apply-templates select="//m1-3-3-labels"/>
						</table>
					</td>
				</tr>
				
				<tr>
					<td valign="top"><h4>1.3.4</h4></td>
					<td>
						<h4>Foreign Labelling</h4>
						<xsl:apply-templates select="//m1-3-4-foreign-label"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h4>1.3.5</h4></td>
					<td>
						<h4>Reference Product Labelling</h4>
						<xsl:apply-templates select="//m1-3-5-ref-prod-label"/>
					</td>
				</tr>


				<tr>
					<td valign="top"><h4>1.3.6</h4></td>
					<td>
						<h4>Artwork and Samples</h4>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.3.6.1</h4></td>
					<td>
						<h4>Statement Confirming Submission of Samples</h4>
						<xsl:apply-templates select="//m1-3-6-1-statement-confirming-samples/leaf|//m1-3-6-1-statement-confirming-samples/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.3.6.2</h4></td>
					<td>
						<h4>Artwork and Pictures of Samples</h4>
						<xsl:apply-templates select="//m1-3-6-2-artwork-samples/leaf|//m1-3-6-2-artwork-samples/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.4</h3></td>
					<td>
						<h3>Information about the Experts</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.4.1</h4></td>
					<td>
						<h4>Quality</h4>
						<xsl:apply-templates select="//m1-4-1-quality/leaf|//m1-4-1-quality/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.4.2</h4></td>
					<td>
						<h4>Nonclinical</h4>
						<xsl:apply-templates select="//m1-4-2-nonclinical/leaf|//m1-4-2-nonclinical/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.4.3</h4></td>
					<td>
						<h4>Clinical</h4>
						<xsl:apply-templates select="//m1-4-3-clinical/leaf|//m1-4-3-clinical/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.5</h3></td>
					<td>
						<h3>Specific Requirements for Different Types of Applications</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.5.1</h4></td>
					<td>
						<h4>Bioequivalence Trial Information</h4>
						<xsl:apply-templates select="//m1-5-1-bti/leaf|//m1-5-1-bti/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.6</h3></td>
					<td>
						<h3>Environmental Risk Assessment</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.6.1</h4></td>
					<td>
						<h4>Non-GMO</h4>
						<xsl:apply-templates select="//m1-6-1-non-gmo/leaf|//m1-6-1-non-gmo/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.6.2</h4></td>
					<td>
						<h4>GMO</h4>
						<xsl:apply-templates select="//m1-6-2-gmo/leaf|//m1-6-2-gmo/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.7</h3></td>
					<td>
						<h3>Good Manufacturing Practice</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.7.1</h4></td>
					<td>
						<h4>Date of Inspection of Each Site</h4>
						<xsl:apply-templates select="//m1-7-1-date-inspection-each-site/leaf|//m1-7-1-date-inspection-each-site/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.7.2</h4></td>
					<td>
						<h4>Inspection Reports or Equivalent Documents</h4>
						<xsl:apply-templates select="//m1-7-2-inspection-reports/leaf|//m1-7-2-inspection-reports/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.7.3</h4></td>
					<td>
						<h4>GMP Certificates or Manufacturing Licences</h4>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.7.3.1</h4></td>
					<td>
						<h4>API</h4>
						<xsl:apply-templates select="//m1-7-3-1-api/leaf|//m1-7-3-1-api/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.7.3.2</h4></td>
					<td>
						<h4>FPP</h4>
						<xsl:apply-templates select="//m1-7-3-2-fpp/leaf|//m1-7-3-2-fpp/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.7.4</h4></td>
					<td>
						<h4>Other GMP Documents</h4>
						<xsl:apply-templates select="//m1-7-4-other-gmp/leaf|//m1-7-4-other-gmp/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.8</h3></td>
					<td>
						<h3>Information Relating to Pharmacovigilance</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.8.1</h4></td>
					<td>
						<h4>Pharmacovigilance Systems</h4>
						<xsl:apply-templates select="//m1-8-1-pv-systems/leaf|//m1-8-1-pv-systems/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.8.2</h4></td>
					<td>
						<h4>Risk Management Plan</h4>
						<xsl:apply-templates select="//m1-8-2-risk-mngt-plan/leaf|//m1-8-2-risk-mngt-plan/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.9</h3></td>
					<td>
						<h3>Individual Patient Data - Statement of Availability</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4> </h4></td>
					<td>
						<xsl:apply-templates select="//m1-9-individual-patient-data/leaf|//m1-9-individual-patient-data/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.10</h3></td>
					<td>
						<h3>Foreign Regulatory Information</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.10.1</h4></td>
					<td>
						<h4>Regional &amp; Foreign Regulatory Status</h4>
						<xsl:apply-templates select="//m1-10-1-status/leaf|//m1-10-1-status/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.10.2</h4></td>
					<td>
						<h4>WHO Type Certificate of Pharmaceutical Product (COPP)</h4>
						<xsl:apply-templates select="//m1-10-2-copp/leaf|//m1-10-2-copp/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.10.3</h4></td>
					<td>
						<h4>Data Set Similarities and Differences</h4>
						<xsl:apply-templates select="//m1-10-3-data-set-similarities/leaf|//m1-10-3-data-set-similarities/node-extension"/>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.10.4</h4></td>
					<td>
						<h4>Foreign Evaluation Reports</h4>
						<xsl:apply-templates select="//m1-10-4-foreign-evaluation-reports/leaf|//m1-10-4-foreign-evaluation-reports/node-extension"/>
					</td>
				</tr>

				<tr>
					<td valign="top"><h3>1.A</h3></td>
					<td>
						<h3>Additional Data</h3>
					</td>
				</tr>
				<tr>
					<td valign="top"><h4>1.A.1</h4></td>
					<td>
						<h4>Country Specific Data</h4>
						<table width="40%" cellpadding="2" cellspacing="0" border="1">
							<tr>
								<th width="25%">Country</th>
								<th width="75%"></th>
							</tr>
							<xsl:apply-templates select="//m1-a-1-country-specific-data"/>
						</table>
						
					</td>
				</tr>

			</table>
		</center>
	</xsl:template>
	
</xsl:stylesheet>
