<!--
In the eCTD File Organisation: "util/dtd/wa-envelope.mod"

Version 1.0
August 2023
********************************************************
Meaning or value of the  suffixes:
   ?  : element must appear 0 or 1 time
   *  : element must appear 0 or more times
   +  : element must appear 1 or more times
   <none>: element must appear once and only once
********************************************************
-->

<!-- ............................................................ -->
<!ELEMENT wa-envelope (
   application,
   submission+,
   sequence,
   contact+
)>
<!-- ............................................................ -->

<!ELEMENT application (
   application-uuid,
   recipient+,
   lead-nmra,
   application-number+,
   applicant-id,
   applicant-name,
   inn+,
   proprietary-name+
)>

<!ELEMENT application-uuid      ( #PCDATA )>
<!ELEMENT recipient             ( #PCDATA )>
<!ELEMENT lead-nmra             EMPTY      >
<!ELEMENT application-number    ( #PCDATA )>
<!ELEMENT applicant-id          ( #PCDATA )>
<!ELEMENT applicant-name        ( #PCDATA )>
<!ELEMENT inn                   ( #PCDATA )>
<!ELEMENT proprietary-name      ( #PCDATA )>

<!ATTLIST application
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>

<!ATTLIST recipient
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>

<!ATTLIST lead-nmra
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>

<!-- ............................................................ -->
<!ELEMENT submission (
   submission-lead,
   submission-number+
)>

<!ELEMENT submission-lead      EMPTY      >
<!ELEMENT submission-number    ( #PCDATA )>

<!ATTLIST submission 
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>

<!ATTLIST submission-lead
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>

<!-- ............................................................ -->
<!ELEMENT sequence (
   sequence-description,
   sequence-date,
   sequence-number,
   related-sequence-number
)>

<!ELEMENT sequence-description       ( #PCDATA )>
<!ELEMENT sequence-date              ( #PCDATA )>
<!ELEMENT sequence-number            ( #PCDATA )>
<!ELEMENT related-sequence-number    ( #PCDATA )>

<!ATTLIST sequence
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>

<!-- ............................................................ -->
<!ELEMENT contact (
   contact-name,
   contact-email,
   contact-phone*
)>

<!ELEMENT contact-name     ( #PCDATA )>
<!ELEMENT contact-email    ( #PCDATA )>
<!ELEMENT contact-phone    ( #PCDATA )>

<!ATTLIST contact 
code CDATA #REQUIRED 
code-version CDATA #REQUIRED
>